@echo off

REM ##### 初期設定 #####
set BIN_DIR=bin
set HTTPD_EXE=httpd.exe

REM ##### 引数取得 #####
set PRODUCT_NAME=%1
set PRODUCT_VER=%2
set APACHE_HOME=%~3

REM ##### 初期設定 #####
if NOT "%APACHE_HOME:~-1%" == "\" (
	set APACHE_HOME=%APACHE_HOME%\
)

REM ##### バージョンチェック #####
set INSTALLED_VER=
cd "%APACHE_HOME%%BIN_DIR%"
if not exist "%HTTPD_EXE%" (
	echo %PRODUCT_NAME%は、インストールされていません。
	goto end
)
for /f "tokens=4 delims=/ " %%F in ('%HTTPD_EXE% -v ^| find "Server version"') do (
	call :sub %%F
)
if "%INSTALLED_VER%" == "%PRODUCT_VER%" (
	echo %PRODUCT_NAME%は、最新版がインストールされています。^(Ver.%INSTALLED_VER%^)
	goto end
)
if "%INSTALLED_VER%" == "2.2.x" (
	goto update
)
echo %PRODUCT_NAME%は、アップデート対象のバージョンではありません。^(Ver.%INSTALLED_VER%^)
goto end

REM ##### アップデート #####
:update
echo %PRODUCT_NAME%のアップデート処理をします。^(Ver.%INSTALLED_VER% -^> Ver.%PRODUCT_VER%^)
REM ここにアップデート処理を記述する(パッチ当てなど)

:end
exit /b
REM ##### サブルーチン #####
:sub
set INSTALLED_VER=%1
exit /b
